"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewAction = void 0;
const abstract_action_1 = require("./abstract-action");
const inquirer = require("inquirer");
const chalk = require("chalk");
class NewAction extends abstract_action_1.AbstractAction {
    handle(inputs, options) {
        return __awaiter(this, void 0, void 0, function* () {
            inquirer
                .prompt([
                { type: 'input', name: 'projectName', message: 'Choose a Name for Project' },
                { type: 'list', name: 'database', message: 'Chose Your Database : ', choices: ["nothing", "mongo", "mysql", "postgres"] },
                { type: 'list', name: 'caching', message: 'Chose Your Caching : ', choices: ["nothing", "redis"] }
            ])
                .then((newProjectData) => {
                console.log(`
------------------------------------------------------------------
${chalk.bgGreen("You're Application has Configured !!!")}
------------------------------------------------------------------
* Project Name : ${chalk.green(newProjectData.projectName)}
* Database Name : ${chalk.green(newProjectData.database)}
* Caching Name/Method : ${chalk.green(newProjectData.caching)}
                `);
                console.log(newProjectData + "");
            });
        });
    }
}
exports.NewAction = NewAction;
